# Retrieve balances

Retrieves available balances for all currencies.

Endpoint: GET /balances
Version: 1.0.0
Security: JWT

## Response 200 fields (application/json):

  - `available` (array)
    The available balance for all currencies.

  - `available.currency` (string)
    The currency code in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format. For example, USD.
    Example: "USD"

  - `available.amount` (number)
    The balance amount in the smallest currency unit. For example, if the amount is $299.00, then 29900 is passed in this field. In the case of three decimal currencies, such as KWD, BHD and OMR, to represent an amount of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, for amount ￥295, pass the value as 295.
    Example: 1000

  - `pending` (array)
    The pending balance for all currencies.

  - `pending.currency` (string)
    The currency code in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format. For example, USD.
    Example: "USD"

  - `pending.amount` (number)
    The balance amount in the smallest currency unit. For example, if the amount is $299.00, then 29900 is passed in this field. In the case of three decimal currencies, such as KWD, BHD and OMR, to represent an amount of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, for amount ￥295, pass the value as 295.
    Example: 1000

  - `deficit` (array)
    The amount owed to Glomo, for all currencies. This is non-zero when a chargeback or RFI debit was applied against an insufficient balance; it is cleared automatically on your next top-up.

  - `deficit.currency` (string)
    The currency code in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format. For example, USD.
    Example: "USD"

  - `deficit.amount` (number)
    The balance amount in the smallest currency unit. For example, if the amount is $299.00, then 29900 is passed in this field. In the case of three decimal currencies, such as KWD, BHD and OMR, to represent an amount of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, for amount ￥295, pass the value as 295.
    Example: 1000

  - `funded_balances` (object)
    The Funded Balance, broken down by state. This key is present only for merchants on the Funded Balance model; it is absent for all other merchants.

  - `funded_balances.available` (array)
    The available balance, by currency, that can be drawn for debits.

  - `funded_balances.available.currency` (string)
    The currency code in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format. For example, USD.
    Example: "USD"

  - `funded_balances.available.amount` (number)
    The balance amount in the smallest currency unit. For example, if the amount is $299.00, then 29900 is passed in  this field. In the case of three decimal currencies, such as KWD, BHD and OMR, to represent an amount of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, for amount ￥295, pass the value as 295.
    Example: 1000

  - `funded_balances.pending` (array)
    The pending balance, by currency, awaiting maturity to available.

  - `funded_balances.deficit` (array)
    The amount, by currency, owed to Glomo. This is non-zero when a chargeback or RFI debit was applied against an insufficient Funded Balance; it is cleared automatically on your next Add Balance top-up.


## Response 401 fields
